%define real_name Audio-CD
%define name perl-%{real_name}
%define version 0.05
%define release 3mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl interface to libcdaudio
Source:		%{real_name}-%{version}.tar.bz2
URL:		http://home.wanadoo.nl/jano/disc-cover.html
License:	GPL
Group:		Sound
BuildRequires:	libcdaudio-devel
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This module was created for adding CDDB support to Xmms::shell and cd
tray eject.  Methods for a good chunk of other libcdaudio functions
were added, but the docs and glue are not complete.

NOTE: This version has been altered by J.I. van Hemert
<jvhemert@cs.leidenuniv.nl> to suit the needs of Disc-Cover. Please
start with the original package if you wish to develop something.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std

chmod 644 README

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{perl_vendorarch}/Audio
%{perl_vendorarch}/auto/Audio
%{_mandir}/*/*

%changelog
* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.05-3mdk
- own dir

* Thu Jan 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.05-2mdk
- rebuild
- drop patch, new version already carries modifications

* Fri Nov 28 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.05-1mdk
- new version

* Thu Oct 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.04-11mdk
- fix deps
- rebuild with fixed gcc (bug #6192)

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.04-10mdk
- Macroize
- %%makeinstall_std
- mv rm buildroot from %%prep to %%install

* Thu Jul 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.04-9mdk
- fix the description

* Wed May 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.04-8mdk
- rebuild for perl provides

* Fri Apr 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.04-7mdk
- fix buildrequires

* Thu Aug 15 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.04-6mdk
- rebuild for the threaded perl 

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.04-5mdk
- rebuild for perl 5.8.0

* Thu Jan 10 2002 Franois Pons <fpons@mandrakesoft.com> 0.04-4mdk
- change package to match perl packages name.
- removed perllocal.pod from %%files.

* Wed Sep 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.04-3mdk
- fix requires

* Tue Jun 19 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.04-2mdk
- rebuild

* Mon Feb 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.04-1mdk
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com> :
- first mandrake release
